<?php

namespace app\api\controller;

use think\facade\Db;

class OperationLogController extends BaseApiController
{
    public function index()
    {
        $fenceHouseId = $this->request->param('fence_house_id');
        $list = [];
        $list[] = Db::name('operation_deworming_log')->where('fence_house_id', $fenceHouseId)->order('id desc')->find();
        $list[] = Db::name('operation_disinfect_log')->where('fence_house_id', $fenceHouseId)->order('id desc')->find();
        $list[] = Db::name('operation_feeding_log')->where('fence_house_id', $fenceHouseId)->order('id desc')->find();
        $list[] = Db::name('operation_vaccinum_log')->where('fence_house_id', $fenceHouseId)->order('id desc')->find();
        $list[] = Db::name('operation_water_log')->where('fence_house_id', $fenceHouseId)->order('id desc')->find();
        return $this->success('成功', $list);
    }
}